Skip to main content
POST
/
api
/
destinations
/
{id}
/
enable
Enable destination
curl --request POST \
  --url https://app.outlit.ai/api/destinations/{id}/enable \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "commandId": "<string>",
  "commandVersion": 123,
  "correlationId": "<string>",
  "result": {
    "operationId": "<string>",
    "status": "<string>",
    "resources": [
      {
        "type": "<string>",
        "id": "<string>"
      }
    ],
    "data": {
      "destination": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "key": "<string>",
        "name": "<string>",
        "description": "<string>",
        "enabled": true,
        "maskedConfig": {},
        "lastSyncedAt": "2023-11-07T05:31:56Z",
        "providerErrorCode": "<string>",
        "providerErrorMessage": "<string>",
        "isDefault": true,
        "schemaVersion": "<string>",
        "configHash": "<string>",
        "archivedAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    },
    "warnings": [
      "<string>"
    ],
    "auditId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Outlit API key using the Bearer ok_... format.

Path Parameters

id
string<uuid>
required

Destination ID.

Response

Enable destination completed.

ok
boolean
required
commandId
string
required
Allowed value: "destination.enable"
commandVersion
integer
required
correlationId
string
required
result
object
required